# ulib/vcs

## `vcs_getvcs_help`
## `vcs_getvcs`
## `vcs_getroot_help`
## `vcs_getroot`
## `vcs_getrepos_help`
## `vcs_getrepos`
## `vcs_geturl_help`
## `vcs_geturl`
## `vcs_vcs_help`
## `vcs_vcs`
## `vcs_add_help`
## `vcs_add`
~~~
le répertoire de référence est le répertoire du premier fichier ajouté
~~~
## `vcs_remove_help`
## `vcs_remove`
~~~
le répertoire de référence est le répertoire du premier fichier supprimé
~~~
## `vcs_copy_help`
## `vcs_copy`
~~~
le répertoire de référence est le répertoire de destination
~~~
## `vcs_move_help`
## `vcs_move`
~~~
le répertoire de référence est le répertoire de destination
~~~
## `vcs_mkdir_help`
## `vcs_mkdir`
~~~
le répertoire de référence est le répertoire du premier répertoire créé
~~~
## `vcs_commit_help`
## `vcs_commit`
## `vcs_status_help`
## `vcs_status`
## `vcs_update_help`
## `vcs_update`
## `vcs_push_help`
## `vcs_push`
## `vcs_diff_help`
## `vcs_diff`
## `vcs_tag_help`
## `vcs_tag`
## `git_getrepos`
## `git_geturl`
## `git_have_annex`
## `git_add`
## `git_remove`
## `git_copy`
## `git_move`
## `git_mkdir`
## `git_commit`
## `git_status`
## `git_update`
## `git_push`
## `git_diff`
## `git_tag`
## `git_check_gitvcs`
## `git_ensure_gitvcs`
## `git_list_branches`
## `git_list_rbranches`
## `git_list_pbranches`
~~~
lister les branches locales et celles qui existent dans l'origine
$1(=origin) et qui pourraient devenir une branche locale avec la commande
git checkout -b
~~~
## `git_have_branch`
## `git_have_rbranch`
## `git_get_branch`
## `git_get_branch_remote`
## `git_get_branch_merge`
## `git_get_branch_rbranch`
## `git_is_branch`
## `git_have_remote`
## `git_track_branch`
## `git_ensure_branch`
~~~
retourner 0 si la branche a été créée, 1 si elle existait déjà, 2 en cas d'erreur
~~~
## `git_check_cleancheckout`
~~~
vérifier qu'il n'y a pas de modification locales dans le dépôt
correspondant au répertoire courant.
~~~
## `git_ensure_cleancheckout`
## `git_is_ancestor`
~~~
vérifier que la branche $1 est un ancêtre direct de la branche $2, qui
vaut par défaut refs/remotes/${3:-origin}/$1
note: cette fonction retourne vrai si $1 et $2 identifient le même commit
~~~
## `git_should_ff`
~~~
vérifier si la branche $1 devrait être fast-forwardée à partir de la
branche d'origine $2, qui vaut par défaut refs/remotes/${3:-origin}/$1
note: cette fonction est similaire à git_is_ancestor(), mais retourne
false si $1 et $2 identifient le même commit
~~~
## `git_should_push`
~~~
vérifier si la branche $1 devrait être poussée vers la branche de même nom
dans l'origine $2(=origin), parce que l'origin peut-être fast-forwardée à
partir de cette branche.
~~~
## `git_fast_forward`
~~~
vérifier que la branche courante est bien $1, puis tester s'il faut la
fast-forwarder à partir de la branche d'origine $2, puis le faire si c'est
nécessaire. la branche d'origine $2 vaut par défaut refs/remotes/origin/$1
~~~
## `git_is_merged`
~~~
vérifier que les branches $1 et $2 ont un ancêtre commun, et que la
branche $1 a été complètement fusionnée dans la branche destination $2
~~~
## `git_annex_use_ssh_wrapper`
## `git_annex_initial`
~~~
sur le dépôt $1 fraichement cloné, vérifier s'il faut faire git annex
init. Si oui, l'initialiser avec le nom d'hôte, et récupérer tous les
fichiers annexés
retourner 1 si une erreur s'est produite
~~~
## `svn_getrepos`
## `svn_geturl`
## `svn_add`
## `svn_remove`
## `svn_copy`
## `svn_move`
## `svn_mkdir`
## `svn_commit`
## `svn_status`
## `svn_update`
## `svn_push`
## `svn_diff`
## `svn_tag`
## `cvs_getrepos`
## `cvs_geturl`
## `cvs_add`
## `cvs_remove`
## `cvs_copy`
## `cvs_move`
## `cvs_mkdir`
## `cvs_commit`
## `cvs_status`
## `cvs_update`
## `cvs_push`
## `cvs_diff`
## `cvs_tag`

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary